<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Fri Oct 27 02:30:07 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>GMFUCMElementAdapter (org.eclipse.papyrus.designer.ucm.css 0.7.6 API)</title>
<meta name="date" content="2017-10-27">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="GMFUCMElementAdapter (org.eclipse.papyrus.designer.ucm.css 0.7.6 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../org/eclipse/papyrus/designer/ucm/css/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/GMFUCMElementAdapter.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/eclipse/papyrus/designer/ucm/css/CSSDOMUCMSemanticElementHelper.html" title="class in org.eclipse.papyrus.designer.ucm.css"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../org/eclipse/papyrus/designer/ucm/css/GMFUCMElementProvider.html" title="class in org.eclipse.papyrus.designer.ucm.css"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/eclipse/papyrus/designer/ucm/css/GMFUCMElementAdapter.html" target="_top">Frames</a></li>
<li><a href="GMFUCMElementAdapter.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.designer.ucm.css</div>
<h2 title="Class GMFUCMElementAdapter" class="title">Class GMFUCMElementAdapter</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.eclipse.e4.ui.css.core.dom.ElementAdapter</li>
<li>
<ul class="inheritance">
<li>org.eclipse.papyrus.infra.gmfdiag.css.dom.GMFElementAdapter</li>
<li>
<ul class="inheritance">
<li>org.eclipse.papyrus.designer.ucm.css.GMFUCMElementAdapter</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>org.eclipse.core.databinding.observable.IChangeListener, org.eclipse.core.databinding.observable.IObservablesListener, org.eclipse.core.runtime.IAdaptable, org.eclipse.e4.ui.css.core.dom.CSSStylableElement, org.eclipse.papyrus.infra.gmfdiag.css.notation.StatefulView, <a href="http://docs.oracle.com/javase/8/docs/api/org/w3c/dom/Element.html?is-external=true" title="class or interface in org.w3c.dom">Element</a>, <a href="http://docs.oracle.com/javase/8/docs/api/org/w3c/dom/Node.html?is-external=true" title="class or interface in org.w3c.dom">Node</a>, <a href="http://docs.oracle.com/javase/8/docs/api/org/w3c/dom/NodeList.html?is-external=true" title="class or interface in org.w3c.dom">NodeList</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">GMFUCMElementAdapter</span>
extends org.eclipse.papyrus.infra.gmfdiag.css.dom.GMFElementAdapter</pre>
<div class="block">DOM element adapter for UCM elements

 Supports applied stereotypes and stereotype properties</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/designer/ucm/css/GMFUCMElementAdapter.html#APPLIED_STEREOTYPES_PROPERTY">APPLIED_STEREOTYPES_PROPERTY</a></span></code>
<div class="block">The Constant APPLIED_STEREOTYPES_PROPERTY.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/designer/ucm/css/GMFUCMElementAdapter.html#PORT_TYPE">PORT_TYPE</a></span></code>
<div class="block">The Constant PORT_TYPE.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/designer/ucm/css/GMFUCMElementAdapter.html#QUALIFIER_SEPARATOR">QUALIFIER_SEPARATOR</a></span></code>
<div class="block">The CSS Separator for qualifiers, when we must use CSS ID
 When we can use CSS String, we use the standard UML "::" qualifier separator

 NOTE: Separator "__" does not work</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>org.eclipse.papyrus.uml.diagram.common.stereotype.display.helper.StereotypeDisplayUtil</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/designer/ucm/css/GMFUCMElementAdapter.html#stereotypeHelper">stereotypeHelper</a></span></code>
<div class="block">The stereotype helper.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.papyrus.infra.gmfdiag.css.dom.GMFElementAdapter">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.eclipse.papyrus.infra.gmfdiag.css.dom.GMFElementAdapter</h3>
<code>children, CSS_VALUES_SEPARATOR, cssStyleListener, EMPTY_VALUE, helper, KIND, localName, namespaceURI, notationElement, parentNode, semanticElement, styleListener</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.e4.ui.css.core.dom.ElementAdapter">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.eclipse.e4.ui.css.core.dom.ElementAdapter</h3>
<code>engine</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.papyrus.infra.gmfdiag.css.notation.StatefulView">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.eclipse.papyrus.infra.gmfdiag.css.notation.StatefulView</h3>
<code>ACTIVE, FOCUS, HOVER</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.w3c.dom.Node">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.w3c.dom.<a href="http://docs.oracle.com/javase/8/docs/api/org/w3c/dom/Node.html?is-external=true" title="class or interface in org.w3c.dom">Node</a></h3>
<code><a href="http://docs.oracle.com/javase/8/docs/api/org/w3c/dom/Node.html?is-external=true#ATTRIBUTE_NODE" title="class or interface in org.w3c.dom">ATTRIBUTE_NODE</a>, <a href="http://docs.oracle.com/javase/8/docs/api/org/w3c/dom/Node.html?is-external=true#CDATA_SECTION_NODE" title="class or interface in org.w3c.dom">CDATA_SECTION_NODE</a>, <a href="http://docs.oracle.com/javase/8/docs/api/org/w3c/dom/Node.html?is-external=true#COMMENT_NODE" title="class or interface in org.w3c.dom">COMMENT_NODE</a>, <a href="http://docs.oracle.com/javase/8/docs/api/org/w3c/dom/Node.html?is-external=true#DOCUMENT_FRAGMENT_NODE" title="class or interface in org.w3c.dom">DOCUMENT_FRAGMENT_NODE</a>, <a href="http://docs.oracle.com/javase/8/docs/api/org/w3c/dom/Node.html?is-external=true#DOCUMENT_NODE" title="class or interface in org.w3c.dom">DOCUMENT_NODE</a>, <a href="http://docs.oracle.com/javase/8/docs/api/org/w3c/dom/Node.html?is-external=true#DOCUMENT_POSITION_CONTAINED_BY" title="class or interface in org.w3c.dom">DOCUMENT_POSITION_CONTAINED_BY</a>, <a href="http://docs.oracle.com/javase/8/docs/api/org/w3c/dom/Node.html?is-external=true#DOCUMENT_POSITION_CONTAINS" title="class or interface in org.w3c.dom">DOCUMENT_POSITION_CONTAINS</a>, <a href="http://docs.oracle.com/javase/8/docs/api/org/w3c/dom/Node.html?is-external=true#DOCUMENT_POSITION_DISCONNECTED" title="class or interface in org.w3c.dom">DOCUMENT_POSITION_DISCONNECTED</a>, <a href="http://docs.oracle.com/javase/8/docs/api/org/w3c/dom/Node.html?is-external=true#DOCUMENT_POSITION_FOLLOWING" title="class or interface in org.w3c.dom">DOCUMENT_POSITION_FOLLOWING</a>, <a href="http://docs.oracle.com/javase/8/docs/api/org/w3c/dom/Node.html?is-external=true#DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC" title="class or interface in org.w3c.dom">DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC</a>, <a href="http://docs.oracle.com/javase/8/docs/api/org/w3c/dom/Node.html?is-external=true#DOCUMENT_POSITION_PRECEDING" title="class or interface in org.w3c.dom">DOCUMENT_POSITION_PRECEDING</a>, <a href="http://docs.oracle.com/javase/8/docs/api/org/w3c/dom/Node.html?is-external=true#DOCUMENT_TYPE_NODE" title="class or interface in org.w3c.dom">DOCUMENT_TYPE_NODE</a>, <a href="http://docs.oracle.com/javase/8/docs/api/org/w3c/dom/Node.html?is-external=true#ELEMENT_NODE" title="class or interface in org.w3c.dom">ELEMENT_NODE</a>, <a href="http://docs.oracle.com/javase/8/docs/api/org/w3c/dom/Node.html?is-external=true#ENTITY_NODE" title="class or interface in org.w3c.dom">ENTITY_NODE</a>, <a href="http://docs.oracle.com/javase/8/docs/api/org/w3c/dom/Node.html?is-external=true#ENTITY_REFERENCE_NODE" title="class or interface in org.w3c.dom">ENTITY_REFERENCE_NODE</a>, <a href="http://docs.oracle.com/javase/8/docs/api/org/w3c/dom/Node.html?is-external=true#NOTATION_NODE" title="class or interface in org.w3c.dom">NOTATION_NODE</a>, <a href="http://docs.oracle.com/javase/8/docs/api/org/w3c/dom/Node.html?is-external=true#PROCESSING_INSTRUCTION_NODE" title="class or interface in org.w3c.dom">PROCESSING_INSTRUCTION_NODE</a>, <a href="http://docs.oracle.com/javase/8/docs/api/org/w3c/dom/Node.html?is-external=true#TEXT_NODE" title="class or interface in org.w3c.dom">TEXT_NODE</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/designer/ucm/css/GMFUCMElementAdapter.html#GMFUCMElementAdapter-org.eclipse.gmf.runtime.notation.View-org.eclipse.papyrus.infra.gmfdiag.css.engine.ExtendedCSSEngine-">GMFUCMElementAdapter</a></span>(org.eclipse.gmf.runtime.notation.View&nbsp;view,
                    org.eclipse.papyrus.infra.gmfdiag.css.engine.ExtendedCSSEngine&nbsp;engine)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>protected <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/designer/ucm/css/GMFUCMElementAdapter.html#doGetAttribute-java.lang.String-">doGetAttribute</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;attr)</code>
<div class="block">

 Applied Stereotypes are manipulated as DOM Attributes</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>protected <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/designer/ucm/css/GMFUCMElementAdapter.html#getCSSValue-org.eclipse.emf.ecore.EStructuralFeature-java.lang.Object-">getCSSValue</a></span>(org.eclipse.emf.ecore.EStructuralFeature&nbsp;feature,
           <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;value)</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/designer/ucm/css/GMFUCMElementAdapter.html#getLocalName--">getLocalName</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>protected <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/designer/ucm/css/GMFUCMElementAdapter.html#getStereotypeCompartmentAttribute-java.lang.String-">getStereotypeCompartmentAttribute</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;attr)</code>
<div class="block">Retrieve the Matching String Value for the StereotypeCompartment Element</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>protected <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/designer/ucm/css/GMFUCMElementAdapter.html#getStereotypeLabelAttribute-java.lang.String-">getStereotypeLabelAttribute</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;attr)</code>
<div class="block">Get the matching Value of the Attribute</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>protected <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/designer/ucm/css/GMFUCMElementAdapter.html#getStereotypePropertyAttribute-java.lang.String-">getStereotypePropertyAttribute</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;attr)</code>
<div class="block">Retrieve the Matching String Value for the StereotypeCompartment Element</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.papyrus.infra.gmfdiag.css.dom.GMFElementAdapter">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.papyrus.infra.gmfdiag.css.dom.GMFElementAdapter</h3>
<code>addStates, addStaticPseudoInstance, childrenChanged, computeChildren, dispose, getAdapter, getAttribute, getChildNodes, getChildren, getCSSClass, getCSSClass, getCSSId, getCSSID, getCSSStyle, getCSSStyle, getLength, getNamespaceURI, getNativeWidget, getNotationElement, getParentNode, getSemanticElement, getStates, getStaticPseudoInstances, handleChange, isPseudoInstanceOf, item, notationElementDisposed, notationPropertyChanged, parentChanged, removeStates, semanticElementChanged, semanticPropertyChanged</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.e4.ui.css.core.dom.ElementAdapter">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.e4.ui.css.core.dom.ElementAdapter</h3>
<code>appendChild, cloneNode, compareDocumentPosition, copyDefaultStyleDeclarations, doApplyStyles, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getBaseURI, getDefaultStyleDeclaration, getElement, getElementsByTagName, getElementsByTagNameNS, getFeature, getFirstChild, getLastChild, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getPrefix, getPreviousSibling, getSchemaTypeInfo, getStyle, getTagName, getTextContent, getUserData, hasAttribute, hasAttributeNS, hasAttributes, hasChildNodes, initialize, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isStaticPseudoInstance, isSupported, lookupNamespaceURI, lookupPrefix, normalize, onStylesApplied, removeAttribute, removeAttributeNode, removeAttributeNS, removeChild, replaceChild, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setDefaultStyleDeclaration, setIdAttribute, setIdAttributeNode, setIdAttributeNS, setNodeValue, setPrefix, setTextContent, setUserData</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="stereotypeHelper">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>stereotypeHelper</h4>
<pre>public final&nbsp;org.eclipse.papyrus.uml.diagram.common.stereotype.display.helper.StereotypeDisplayUtil stereotypeHelper</pre>
<div class="block">The stereotype helper.</div>
</li>
</ul>
<a name="APPLIED_STEREOTYPES_PROPERTY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>APPLIED_STEREOTYPES_PROPERTY</h4>
<pre>public static final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> APPLIED_STEREOTYPES_PROPERTY</pre>
<div class="block">The Constant APPLIED_STEREOTYPES_PROPERTY.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.eclipse.papyrus.designer.ucm.css.GMFUCMElementAdapter.APPLIED_STEREOTYPES_PROPERTY">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="PORT_TYPE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PORT_TYPE</h4>
<pre>public static final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> PORT_TYPE</pre>
<div class="block">The Constant PORT_TYPE.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.eclipse.papyrus.designer.ucm.css.GMFUCMElementAdapter.PORT_TYPE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="QUALIFIER_SEPARATOR">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>QUALIFIER_SEPARATOR</h4>
<pre>public static final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> QUALIFIER_SEPARATOR</pre>
<div class="block">The CSS Separator for qualifiers, when we must use CSS ID
 When we can use CSS String, we use the standard UML "::" qualifier separator

 NOTE: Separator "__" does not work</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.eclipse.papyrus.designer.ucm.css.GMFUCMElementAdapter.QUALIFIER_SEPARATOR">Constant Field Values</a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="GMFUCMElementAdapter-org.eclipse.gmf.runtime.notation.View-org.eclipse.papyrus.infra.gmfdiag.css.engine.ExtendedCSSEngine-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>GMFUCMElementAdapter</h4>
<pre>public&nbsp;GMFUCMElementAdapter(org.eclipse.gmf.runtime.notation.View&nbsp;view,
                            org.eclipse.papyrus.infra.gmfdiag.css.engine.ExtendedCSSEngine&nbsp;engine)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="doGetAttribute-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>doGetAttribute</h4>
<pre>protected&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;doGetAttribute(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;attr)</pre>
<div class="block">

 Applied Stereotypes are manipulated as DOM Attributes</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>doGetAttribute</code>&nbsp;in class&nbsp;<code>org.eclipse.papyrus.infra.gmfdiag.css.dom.GMFElementAdapter</code></dd>
</dl>
</li>
</ul>
<a name="getStereotypeCompartmentAttribute-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getStereotypeCompartmentAttribute</h4>
<pre>protected&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getStereotypeCompartmentAttribute(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;attr)</pre>
<div class="block">Retrieve the Matching String Value for the StereotypeCompartment Element</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>attr</code> - Attribute of the String to match with</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The matching value for this Attribute</dd>
</dl>
</li>
</ul>
<a name="getStereotypePropertyAttribute-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getStereotypePropertyAttribute</h4>
<pre>protected&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getStereotypePropertyAttribute(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;attr)</pre>
<div class="block">Retrieve the Matching String Value for the StereotypeCompartment Element</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>attr</code> - Attribute of the String to match with</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The matching value for this Attribute</dd>
</dl>
</li>
</ul>
<a name="getStereotypeLabelAttribute-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getStereotypeLabelAttribute</h4>
<pre>protected&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getStereotypeLabelAttribute(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;attr)</pre>
<div class="block">Get the matching Value of the Attribute</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>attr</code> - Attribute of the String to match with</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The matching value for this Attribute</dd>
</dl>
</li>
</ul>
<a name="getCSSValue-org.eclipse.emf.ecore.EStructuralFeature-java.lang.Object-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCSSValue</h4>
<pre>protected&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getCSSValue(org.eclipse.emf.ecore.EStructuralFeature&nbsp;feature,
                             <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;value)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>getCSSValue</code>&nbsp;in class&nbsp;<code>org.eclipse.papyrus.infra.gmfdiag.css.dom.GMFElementAdapter</code></dd>
</dl>
</li>
</ul>
<a name="getLocalName--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getLocalName</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getLocalName()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="http://docs.oracle.com/javase/8/docs/api/org/w3c/dom/Node.html?is-external=true#getLocalName--" title="class or interface in org.w3c.dom">getLocalName</a></code>&nbsp;in interface&nbsp;<code><a href="http://docs.oracle.com/javase/8/docs/api/org/w3c/dom/Node.html?is-external=true" title="class or interface in org.w3c.dom">Node</a></code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>getLocalName</code>&nbsp;in class&nbsp;<code>org.eclipse.papyrus.infra.gmfdiag.css.dom.GMFElementAdapter</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The Local name for the CSS matching.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>GMFElementAdapter.getLocalName()</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../org/eclipse/papyrus/designer/ucm/css/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/GMFUCMElementAdapter.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/eclipse/papyrus/designer/ucm/css/CSSDOMUCMSemanticElementHelper.html" title="class in org.eclipse.papyrus.designer.ucm.css"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../org/eclipse/papyrus/designer/ucm/css/GMFUCMElementProvider.html" title="class in org.eclipse.papyrus.designer.ucm.css"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/eclipse/papyrus/designer/ucm/css/GMFUCMElementAdapter.html" target="_top">Frames</a></li>
<li><a href="GMFUCMElementAdapter.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016&#x2013;2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
